Fine-tuning
List fine-tuning jobs
List your fine-tuning jobs, newest first, using cursor pagination. A job of a family
you deleted stays, with its charge, and says so (family_deleted).
GET
/
v1
/
fine-tuning
/
jobs
List fine-tuning jobs
curl --request GET \
--url https://api.sqwish.ai/v1/fine-tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/fine-tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/fine-tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model": "<string>",
"method": "sft",
"hyperparameters": {
"steps": 123,
"learning_rate": 123,
"lora_rank": 123,
"seed": 123
},
"family": "<string>",
"family_deleted": true,
"parent": "<string>",
"dataset_version": 123,
"status": "queued",
"outcome": "joined",
"created_at": 123,
"updated_at": 123,
"output_model": "<string>",
"metrics": {},
"error": "<string>",
"progress": {},
"limits": {},
"split": {},
"lineage": {},
"price_usd": "<string>",
"charge": "free",
"dataset_evaluation": {
"id": "<string>",
"dataset_id": "<string>",
"dataset_version": 123,
"model_id": "<string>",
"model_sha256": "<string>",
"model_label": "<string>",
"model_name": "<string>",
"version": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"generation": 123,
"training_job_id": "<string>",
"dataset_sha256": "<string>",
"evaluation_sha256": "<string>",
"method": "sft",
"evaluation_rows": 123,
"decisions": 123,
"completed_rows": 123,
"metrics": {},
"error": {},
"named": "<string>"
},
"curve": [
{
"step": 123,
"loss": 123,
"learning_rate": 123
}
],
"rows_deleted": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Query Parameters
List fine-tuning jobs
curl --request GET \
--url https://api.sqwish.ai/v1/fine-tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/fine-tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/fine-tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model": "<string>",
"method": "sft",
"hyperparameters": {
"steps": 123,
"learning_rate": 123,
"lora_rank": 123,
"seed": 123
},
"family": "<string>",
"family_deleted": true,
"parent": "<string>",
"dataset_version": 123,
"status": "queued",
"outcome": "joined",
"created_at": 123,
"updated_at": 123,
"output_model": "<string>",
"metrics": {},
"error": "<string>",
"progress": {},
"limits": {},
"split": {},
"lineage": {},
"price_usd": "<string>",
"charge": "free",
"dataset_evaluation": {
"id": "<string>",
"dataset_id": "<string>",
"dataset_version": 123,
"model_id": "<string>",
"model_sha256": "<string>",
"model_label": "<string>",
"model_name": "<string>",
"version": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"generation": 123,
"training_job_id": "<string>",
"dataset_sha256": "<string>",
"evaluation_sha256": "<string>",
"method": "sft",
"evaluation_rows": 123,
"decisions": 123,
"completed_rows": 123,
"metrics": {},
"error": {},
"named": "<string>"
},
"curve": [
{
"step": 123,
"loss": 123,
"learning_rate": 123
}
],
"rows_deleted": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}